### A free/open-source library for quantitative finance

Public Types | Public Member Functions | Protected Attributes
BinomialTree< T > Class Template Reference
Lattice methods

Binomial tree base class. More...

`#include <ql/methods/lattices/binomialtree.hpp>`

Inheritance diagram for BinomialTree< T >:
[legend]

List of all members.

## Public Types

enum | Branches { branches = 2 }

## Public Member Functions

| BinomialTree (const boost::shared_ptr< StochasticProcess1D > &process, Time end, Size steps)
Size | size (Size i) const
Size | descendant (Size, Size index, Size branch) const

## Protected Attributes

Real | x0_
Real | driftPerStep_
Time | dt_

## Detailed Description

### template<class T>
class QuantLib::BinomialTree< T >

Binomial tree base class.